kdecore Library: KSycocaEntry Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSycocaEntry Class Reference

Base class for all Sycoca entries. More...

`#include <ksycocaentry.h>`

Inheritance diagram for KSycocaEntry:

[legend]
Collaboration diagram for KSycocaEntry:

[legend]
List of all members.

## Public Types
typedef KSharedPtr< KSycocaEntry > | Ptr
typedef QValueList< Ptr > | List
## Public Member Functions
virtual bool | isType (KSycocaType t) const
virtual KSycocaType | sycocaType () const
| KSycocaEntry (const QString &path)
| KSycocaEntry (QDataStream &_str, int offset)
virtual QString | name () const =0
QString | entryPath () const
virtual bool | isValid () const =0
virtual bool | isDeleted () const
int | offset ()
virtual void | save (QDataStream &s)
virtual void | load (QDataStream &)=0
## Static Public Member Functions
static void | read (QDataStream &s, QString &str)
static void | read (QDataStream &s, QStringList &list)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
bool | m_bDeleted
QString | mPath
## Related Functions
(Note that these are not member functions.)
enum | KSycocaType { KST_KSycocaEntry = 0, KST_KService = 1, KST_KServiceType = 2, KST_KMimeType = 3, KST_KFolderType = 4, KST_KDEDesktopMimeType = 5, KST_KExecMimeType = 6, KST_KServiceGroup = 7, KST_KImageIOFormat = 8, KST_KProtocolInfo = 9, KST_KServiceSeparator = 10, KST_KCustom = 1000 }

## Detailed Description

Base class for all Sycoca entries.

You can't create an instance of KSycocaEntry, but it provides the common functionality for servicetypes and services.

Definition at line 37 of file ksycocaentry.h.

## Constructor & Destructor Documentation

KSycocaEntry::KSycocaEntry | ( | const QString & | path | ) | `[inline]`

| Default constructor. Definition at line 51 of file ksycocaentry.h.

## Member Function Documentation

void KSycocaEntry::read | ( | QDataStream & | s,
|  | QString & | str
| ) | `[static]`

| Safe demarshalling functions. Definition at line 459 of file ksycoca.cpp. References QString::setLength(), and QString::unicode().

virtual QString KSycocaEntry::name | ( |  | ) | const`[pure virtual]`

| Returns: the name of this entry Implemented in KProtocolInfo, KService, KServiceGroup, and KServiceType.

QString KSycocaEntry::entryPath | ( |  | ) | const`[inline]`

| Returns: the path of this entry The path can be absolute or relative. The corresponding factory should know relative to what. Definition at line 79 of file ksycocaentry.h.

virtual bool KSycocaEntry::isValid | ( |  | ) | const`[pure virtual]`

| Returns: true if valid Implemented in KProtocolInfo, KService, KServiceGroup, and KServiceType.

virtual bool KSycocaEntry::isDeleted | ( |  | ) | const`[inline, virtual]`

| Returns: true if deleted Definition at line 89 of file ksycocaentry.h.

## Friends And Related Function Documentation

enum KSycocaType`[related]`

| A KSycocaType is a code (out of the KSycocaType enum) assigned to each class type derived from KSycocaEntry . To use it, call the macro K_SYCOCATYPE( your_typecode, parent_class ) at the top of your class definition. Definition at line 31 of file ksycocatype.h.

The documentation for this class was generated from the following files:

- ksycocaentry.h
- ksycocatype.h
- ksycoca.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:08 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003